zenilib: zenilib/jni/external/freetype2/include/freetype/ftmac.h File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
ftmac.h File Reference
`#include <ft2build.h>`

Go to the source code of this file.

## Macros

#define | FT_DEPRECATED_ATTRIBUTE

## Functions

| FT_GetFile_From_Mac_ATS_Name (const char *fontName, FSSpec *pathSpec, FT_Long *face_index) FT_DEPRECATED_ATTRIBUTE
| FT_GetFile_From_Mac_Name (const char *fontName, FSSpec *pathSpec, FT_Long *face_index) FT_DEPRECATED_ATTRIBUTE
| FT_GetFilePath_From_Mac_ATS_Name (const char *fontName, UInt8 *path, UInt32 maxPathSize, FT_Long *face_index) FT_DEPRECATED_ATTRIBUTE
| FT_New_Face_From_FOND (FT_Library library, Handle fond, FT_Long face_index, FT_Face *aface) FT_DEPRECATED_ATTRIBUTE
| FT_New_Face_From_FSRef (FT_Library library, const FSRef *ref, FT_Long face_index, FT_Face *aface) FT_DEPRECATED_ATTRIBUTE
| FT_New_Face_From_FSSpec (FT_Library library, const FSSpec *spec, FT_Long face_index, FT_Face *aface) FT_DEPRECATED_ATTRIBUTE

## Macro Definition Documentation

#define FT_DEPRECATED_ATTRIBUTE

Definition at line 44 of file ftmac.h.

## Function Documentation

FT_GetFile_From_Mac_ATS_Name | ( | const char * | fontName,
|  | FSSpec * | pathSpec,
|  | FT_Long * | face_index
| ) |  |

FT_GetFile_From_Mac_Name | ( | const char * | fontName,
|  | FSSpec * | pathSpec,
|  | FT_Long * | face_index
| ) |  |

FT_GetFilePath_From_Mac_ATS_Name | ( | const char * | fontName,
|  | UInt8 * | path,
|  | UInt32 | maxPathSize,
|  | FT_Long * | face_index
| ) |  |

FT_New_Face_From_FOND | ( | FT_Library | library,
|  | Handle | fond,
|  | FT_Long | face_index,
|  | FT_Face * | aface
| ) |  |

FT_New_Face_From_FSRef | ( | FT_Library | library,
|  | const FSRef * | ref,
|  | FT_Long | face_index,
|  | FT_Face * | aface
| ) |  |

FT_New_Face_From_FSSpec | ( | FT_Library | library,
|  | const FSSpec * | spec,
|  | FT_Long | face_index,
|  | FT_Face * | aface
| ) |  |